%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         prometheus
%global repo            client_golang
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          608ec8b69e284600a7ad1b36514a1e6876e22b9f
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0.4.0
Release:        1%{?dist}
Summary:        Prometheus instrumentation library for Go applications
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(bitbucket.org/ww/goautoneg)
BuildRequires:  golang(github.com/beorn7/perks/quantile)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/matttproud/golang_protobuf_extensions/pbutil)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/prometheus/procfs)
Requires:       golang >= 1.2.1-3
Requires:       golang(bitbucket.org/ww/goautoneg)
Requires:       golang(github.com/beorn7/perks/quantile)
Requires:       golang(github.com/golang/protobuf/proto)
Requires:       golang(github.com/matttproud/golang_protobuf_extensions/pbutil)
Requires:       golang(github.com/prometheus/client_model/go)
Requires:       golang(github.com/prometheus/procfs)
Summary:        %{summary}
Provides:       golang(%{import_path}/extraction) = %{version}-%{release}
Provides:       golang(%{import_path}/model) = %{version}-%{release}
Provides:       golang(%{import_path}/prometheus) = %{version}-%{release}
Provides:       golang(%{import_path}/text) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav text %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav prometheus %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav model %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav extraction %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav examples %{buildroot}/%{gopath}/src/%{import_path}/

pushd %{buildroot}/%{gopath}/src/%{import_path}
rm -rf $(find . -iname .gitignore)
popd

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/text
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/prometheus
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/model
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/extraction

%files devel
%doc AUTHORS.md CHANGELOG.md CONTRIBUTING.md README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Thu Apr 23 2015 jchaloup <jchaloup@redhat.com> - 0.4.0-1
- Bump to upstream 608ec8b69e284600a7ad1b36514a1e6876e22b9f
  resolves: #1214784

* Wed Mar 04 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.gite5098ac
- Bump to upstream e5098ac1ff13c7f85b68b120b253dd834ba49682
  related: #1190442

* Thu Feb 26 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.git39e4bc8
- Bump to upstream 39e4bc83f974fb141a9e67c042b26322bacc917b
  related: #1190442

* Sat Feb 07 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git52186fc
- First package for Fedora
  resolves: #1190442
